Enable RemexHTML on all private wikis
Closed, ResolvedPublic

Description

Office wiki is the only one I have access to which looks good to be switched over.

The others are enclosed below. How do we determine when these wikis are ready? Or do we just flip the switch and have those wikis fix noticeable errors on their own timeline?

arbcom_cswiki # No errors, confirmed by @Urbanecm
arbcom_dewiki
arbcom_enwiki
arbcom_fiwiki
arbcom_nlwiki # No errors, confirmed by @Natuur12
auditcomwiki
boardwiki
boardgovcomwiki
chairwiki
chapcomwiki
checkuserwiki # No errors, confirmed by @MarcoAurelio
collabwiki # No high-priority errors, confirmed by @Quiddity 
electcomwiki
execwiki
fdcwiki
grantswiki
iegcomwiki
internalwiki
legalteamwiki
movementroleswiki
noboard_chapterswikimedia
ombudsmenwiki # No high-priority linter errors, confirmed by @Teles
otrs_wikiwiki # 20 tidy-font-bug errors according to @Teles
outreachwiki
projectcomwiki
searchcomwiki
spcomwiki
stewardwiki # No errors, confirmed by @MarcoAurelio
techconductwiki # No high priority errors, confirmed by @Ladsgroup 
transitionteamwiki
wg_enwiki
wikimaniateamwiki
zerowiki
ssastry created this task.Feb 22 2018, 4:12 PM
ssastry triaged this task as Normal priority.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 22 2018, 4:12 PM

@ssastry I have access to some of the wikis listed above. If you let me know what I have to look for maybe I can help. Regards.

arbcom_enwikiversity

That wiki does not exist.

@ssastry I have access to some of the wikis listed above. If you let me know what I have to look for maybe I can help. Regards.

Dumping contents of Special:LintErrors page for those wikis would be useful.

LintErrors@stewardwiki had only 1 obsolete tag (<tt></tt>; which I've changed to <kbd></kbd>).

LintErrors@stewardwiki had only 1 obsolete tag (<tt></tt>; which I've changed to <kbd></kbd>).

Great! Thanks. I should have clarified, but for Tidy disabling, only the high priority linter categories are relevant.

ssastry updated the task description. (Show Details)Feb 22 2018, 7:00 PM

wrt. arbcom_enwikiversity above, I think you meant arbcom_enwiki which does exist

ssastry updated the task description. (Show Details)Feb 22 2018, 7:27 PM

wrt. arbcom_enwikiversity above, I think you meant arbcom_enwiki which does exist

Interesting, in that case, the config file has that typo and so Tidy has already been disabled on arbcom_enwiki. :-)

checkuserwiki has no lint errors on any category either

collabwiki has 0 high-priority errors

outreachwiki isn't private (unless there's another with an ambiguous name?), but it has many errors. I'll try to take a look at that over the weekend.

Urbanecm updated the task description. (Show Details)Feb 22 2018, 8:42 PM
Urbanecm updated the task description. (Show Details)
Urbanecm updated the task description. (Show Details)

@Teles Can you please check ombudsmenwiki and otrs_wiki Special:LintErrors page there and tell if there are any high priority errors on any of the two? Thanks.

As for chairwiki / boardwiki & execwiki maybe @Jalexander can find the right person to check that or check it himself?

@Huji / @Matanya - if you have access to the techconductwiki, can you do the same?

@Natuur12 Can you check Special:LintErrors for arbcom-nl and tell us if there are any High Priority errors still pending to fix? Thanks.

ssastry updated the task description. (Show Details)Feb 22 2018, 9:48 PM
Huji added a subscriber: Ladsgroup.Feb 22 2018, 9:57 PM

As for chairwiki / boardwiki & execwiki maybe @Jalexander can find the right person to check that or check it himself?

@Huji / @Matanya - if you have access to the techconductwiki, can you do the same?

Not me; I am an auxiliary member. @Ladsgroup has access though, I think.

Not me; I am an auxiliary member. @Ladsgroup has access though, I think.

I have access and I can check. Just tell me what needs to be checked.

@Ladsgroup Thanks. Could you please see Special:LintErrors there and see if there are any high priority errors pending to resolve? Thanks.

All high priority errors are zero

Great job, MarcoAurelio.

Great job, MarcoAurelio.

Thanks but I just poked a few people, nothing special.

@DerHexer Maybe you can contact somebody with access to arbcom-de. Thanks.

Teles added a comment.Feb 23 2018, 9:42 PM

@Teles Can you please check ombudsmenwiki and otrs_wiki Special:LintErrors page there and tell if there are any high priority errors on any of the two? Thanks.

Ombudsmen wiki ok.

Otrs-wiki has 20 high priority errors on “Tidy bug affecting font tags wrapping links”

@Teles Can you please check ombudsmenwiki and otrs_wiki Special:LintErrors page there and tell if there are any high priority errors on any of the two? Thanks.

Ombudsmen wiki ok.

Great.

Otrs-wiki has 20 high priority errors on “Tidy bug affecting font tags wrapping links”

Thanks. Most of the time, those come from user signatures. And, the worst effect is that the link colour might change from custom colour to blue. Given 20 is not a big number, I am going to flip the switch for this wiki on Feb 27th. They can always be fixed later since the information will continue to be present in the Special:LintErrors page.

ssastry updated the task description. (Show Details)Feb 23 2018, 9:48 PM

@Natuur12 Can you check Special:LintErrors for arbcom-nl and tell us if there are any High Priority errors still pending to fix? Thanks.

Zero. (Same goes for normal and low priority.)

ssastry updated the task description. (Show Details)Feb 23 2018, 9:59 PM

Thanks @MarcoAurelio and everyone else.

Based on what I am seeing so far, I am tempted to just flip the switch on all private wikis -- I assume these wikis are used in a more constrained way that seems to not exploit all the edge case behavior that regular wikis depend on. But, I'll wait for any other reports to trickle in. Anyone know if there are any private wikis in this list that is an outlier in terms of size of the wiki?

Elitre added a comment.EditedFeb 26 2018, 9:33 AM

I have asked SuSa for help/opinions.

I think I can check for all wikis at once. This is the bash script:

1for wiki in arbcom_cswiki arbcom_dewiki arbcom_enwiki arbcom_fiwiki arbcom_nlwiki auditcomwiki boardwiki boardgovcomwiki chairwiki chapcomwiki checkuserwiki collabwiki electcomwiki execwiki fdcwiki grantswiki iegcomwiki internalwiki legalteamwiki movementroleswiki noboard_chapterswikimedia ombudsmenwiki otrs_wikiwiki outreachwiki projectcomwiki searchcomwiki spcomwiki stewardwiki techconductwiki transitionteamwiki wg_enwiki wikimaniateamwiki zerowiki;
2do
3 echo $wiki
4 mysql -h analytics-store.eqiad.wmnet ${wiki}_p -e "select count(*) from linter where linter_cat in (6,7,9,10,12,13,14,15,16,17);"
5done

This is the result on stat1005: P6744

I got the id of high-priority errors from https://github.com/wikimedia/mediawiki-extensions-Linter/blob/master/extension.json tell me if anything is missing :)

I think I can check for all wikis at once. This is the bash script:

1for wiki in arbcom_cswiki arbcom_dewiki arbcom_enwiki arbcom_fiwiki arbcom_nlwiki auditcomwiki boardwiki boardgovcomwiki chairwiki chapcomwiki checkuserwiki collabwiki electcomwiki execwiki fdcwiki grantswiki iegcomwiki internalwiki legalteamwiki movementroleswiki noboard_chapterswikimedia ombudsmenwiki otrs_wikiwiki outreachwiki projectcomwiki searchcomwiki spcomwiki stewardwiki techconductwiki transitionteamwiki wg_enwiki wikimaniateamwiki zerowiki;
2do
3 echo $wiki
4 mysql -h analytics-store.eqiad.wmnet ${wiki}_p -e "select count(*) from linter where linter_cat in (6,7,9,10,12,13,14,15,16,17);"
5done

This is the result on stat1005: P6744

I got the id of high-priority errors from https://github.com/wikimedia/mediawiki-extensions-Linter/blob/master/extension.json tell me if anything is missing :)

Thanks @Ladsgroup. So, otrswiki and outreachwiki have some. All the others have none.

Given this, I am going to disable Tidy tomorrow on all including those two. The affected pages can be fixed up after the fact.

ssastry renamed this task from Private wikis & Disabling Tidy: How do we determine impacts? to Enable RemexHTML on all private wikis.Feb 26 2018, 4:02 PM

(I have consequently told SuSa to ignore my message.)

Change 414701 had a related patch set uploaded (by Catrope; owner: Subramanya Sastry):
[operations/mediawiki-config@master] Enable RemexHtml on all private wikis

https://gerrit.wikimedia.org/r/414701

Change 414701 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable RemexHtml on all private wikis

https://gerrit.wikimedia.org/r/414701

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2018-02-27T00:19:27Z] <catrope@tin> Synchronized wmf-config/InitialiseSettings.php: Enable RemexHtml on all wikinews wikis (T188000), all private wikis (T188009), test2wiki, loginwiki, votewiki and wikimania2017wiki (T188008) (duration: 00m 56s)

Jdforrester-WMF closed this task as Resolved.Feb 27 2018, 12:23 AM
Jdforrester-WMF assigned this task to ssastry.